跳到主要内容
ByteDance检查中

seedance-2.0-global-fast / multimodal-video

seedance-2-0-global-fast-multimodal-video

reference to video输出: 视频输入: 文本 + 图像 + 视频 + audio
正在加载价格…
官方原价 · 未验证

最小请求

仅包含必填字段,由此模型的 schema 生成。请在环境变量中设置 HERMES_API_KEY。

# 1. Submit the task (asynchronous; returns 202 with a task id)
curl -X POST https://api.hermes-ai.net/api/v1/jobs \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "seedance-2-0-global-fast-multimodal-video",
  "input": {
    "prompt": "A lighthouse on a rocky coast at sunrise, soft light",
    "resolution": "720p",
    "duration": "5"
  }
}'

# 2. Poll until status is succeeded, failed or reconciliation_required
curl https://api.hermes-ai.net/api/v1/jobs/TASK_ID \
  -H "Authorization: Bearer $HERMES_API_KEY"

包含默认值

相同请求,并写出每个可选参数的默认值,便于调整。

# 1. Submit the task (asynchronous; returns 202 with a task id)
curl -X POST https://api.hermes-ai.net/api/v1/jobs \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "seedance-2-0-global-fast-multimodal-video",
  "input": {
    "prompt": "A lighthouse on a rocky coast at sunrise, soft light",
    "resolution": "720p",
    "duration": "5",
    "generateAudio": true,
    "ratio": "adaptive",
    "realPersonMode": true,
    "conversionSlots": [
      "all"
    ],
    "returnLastFrame": false,
    "seed": -1
  }
}'

# 2. Poll until status is succeeded, failed or reconciliation_required
curl https://api.hermes-ai.net/api/v1/jobs/TASK_ID \
  -H "Authorization: Bearer $HERMES_API_KEY"

先上传本地文件

用返回的媒体引用替换示例 URL。

POST /api/v1/media
curl -X POST https://api.hermes-ai.net/api/v1/media \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: image/png" \
  --data-binary @input.png
# → { "reference": "media:<uuid>", ... }  Use the reference in an image, video or audio field.